net.sf.jasperreports.engine.export.oasis

## Class ContentBuilder

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.ContentBuilder

-     public class ContentBuilder
      extends java.lang.Object

  Version:
    $Id: ContentBuilder.java 6598 2013-10-18 12:40:28Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentBuilder(ExportZipEntry contentEntry, ExportZipEntry styleEntry, ExportZipEntry bodyEntry, java.util.Collection<java.lang.String> fontFaces)`
    `ContentBuilder(ExportZipEntry contentEntry, ExportZipEntry styleEntry, ExportZipEntry bodyEntry, java.util.Collection<java.lang.String> fontFaces, java.lang.String mimeType)`
    `ContentBuilder(ExportZipEntry contentEntry, ExportZipEntry styleEntry, ExportZipEntry bodyEntry, java.util.Collection<java.lang.String> fontFaces, java.lang.String mimeType, java.lang.StringBuffer namedExpressions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContentBuilder

          public ContentBuilder(ExportZipEntry contentEntry,
                        ExportZipEntry styleEntry,
                        ExportZipEntry bodyEntry,
                        java.util.Collection<java.lang.String> fontFaces)

    - #### ContentBuilder

          public ContentBuilder(ExportZipEntry contentEntry,
                        ExportZipEntry styleEntry,
                        ExportZipEntry bodyEntry,
                        java.util.Collection<java.lang.String> fontFaces,
                        java.lang.String mimeType)

    - #### ContentBuilder

          public ContentBuilder(ExportZipEntry contentEntry,
                        ExportZipEntry styleEntry,
                        ExportZipEntry bodyEntry,
                        java.util.Collection<java.lang.String> fontFaces,
                        java.lang.String mimeType,
                        java.lang.StringBuffer namedExpressions)

  - ### Method Detail

    - #### build

          public void build()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com